-- Copyright (C) 2008 Meertens Instituut / KNAW
-- 
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License along
-- with this program; if not, write to the Free Software Foundation, Inc.,
-- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


-- MySQL dump 10.9
--
-- Host: localhost    Database: praat2sql
-- ------------------------------------------------------
-- Server version	4.1.22-standard

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `sentence`
--

CREATE TABLE `sentence` (
  `interval_id` int(10) unsigned NOT NULL auto_increment,
  `tier_id` smallint(5) unsigned NOT NULL default '0',
  `sentence_nr` smallint(6) NOT NULL default '0',
  `xmin` decimal(19,15) NOT NULL default '0.000000000000000',
  `xmax` decimal(19,15) NOT NULL default '0.000000000000000',
  `sentence_text` text NOT NULL,
  PRIMARY KEY  (`interval_id`),
  KEY `tier_id` (`tier_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `tier` (
  `tier_id` smallint(5) unsigned NOT NULL auto_increment,
  `file_id` smallint(5) unsigned NOT NULL default '0',
  `tier_nr` tinyint(3) unsigned NOT NULL default '0',
  `name` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`tier_id`),
  KEY `file_id` (`file_id`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `transcript` (
  `file_id` smallint(5) unsigned NOT NULL auto_increment,
  `xmin` decimal(19,15) NOT NULL default '0.000000000000000',
  `xmax` decimal(19,15) NOT NULL default '0.000000000000000',
  `filename` varchar(255) NOT NULL default '',
  `date_added` date NOT NULL default '0000-00-00',
  `date_recording` date NOT NULL default '0000-00-00',
  `soundfile` varchar(14) NOT NULL default '',
  PRIMARY KEY  (`file_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `word` (
  `woord_id` int(10) unsigned NOT NULL auto_increment,
  `interval_id` int(10) unsigned NOT NULL default '0',
  `word` varchar(100) NOT NULL default '',
  `offset` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`woord_id`),
  KEY `token_id` (`word`),
  KEY `interval_id` (`interval_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

